%define initdir		%{_sysconfdir}/init.d
%define cgidir		/home/httpd/cgi-bin
%define _localstatedir	%{_var}/state

Summary:	Network UPS Tools
Name:		nut
Version:	1.4.1
Release:	1.5.4
Group:		Applications/System
License:	GPL
Source0:	http://www.exploits.org/nut/release/%{name}-%{version}.tar.gz
Patch0:		nut-1.4.1-EnGarde-ize-gd-1.diff
Patch1:		nut-1.4.1-powercom-DTR-RTS-fixes-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		fileutils /sbin/chkconfig
BuildPrereq:	gd-devel libpng-devel
Requires:	nut-client

%description
These programs are part of a developing project to monitor the assortment
of UPSes that are found out there in the field. Many models have serial
ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns,
live status tracking on web pages, and more.

%files
  %defattr(-,root,root)
  %doc COPYING CREDITS CHANGES README docs
  %doc %{_mandir}/man8/*

  %config(noreplace) %attr(600,upsuser,root) %{_sysconfdir}/ups/upsd.*
  %config(noreplace) %attr(600,upsuser,root) %{_sysconfdir}/ups/ups.*
  %config(noreplace) %attr(600,upsuser,root) %{_sysconfdir}/ups/upssched.conf
  %config(noreplace) %attr(400,upsuser,root) %{_sysconfdir}/ups/upsmon.conf
  %attr(0500,upsuser,root)	%{_sbindir}/*
  %attr(0500,upsuser,root)	%{_bindir}/*

%package client
Group:		Applications/System
Summary:	Network UPS Tools client monitoring utilities
Prereq:		/sbin/chkconfig /usr/sbin/useradd

%description client
This package includes the client utilities that are required to monitor a
ups that the client host has access to, but where the UPS is physically
attached to a different computer on the network.

%files client
  %defattr(-,root,root)
  %doc %{_mandir}/man5/*

  %config(noreplace) %attr(400,upsuser,admin) %{_sysconfdir}/ups/upsmon.conf
  %dir %attr(750,upsuser,root)	%{_localstatedir}/ups

  %attr(700,root,root)		%{initdir}/ups
  %attr(0500,upsuser,root)	%{_bindir}/upsc
  %attr(0500,upsuser,root)	%{_bindir}/upscmd
  %attr(0500,upsuser,root)	%{_bindir}/upsrw
  %attr(0500,upsuser,root)	%{_sbindir}/upsmon
  %attr(0500,upsuser,root)	%{_sbindir}/upssched

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  %configure \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--with-user=upsuser \
	--with-group=nobody \
	--sysconfdir=%{_sysconfdir}/ups \
	--mandir=%{_mandir} \
	--with-pidpath=%{_var}/run \
	--with-lock-dir=%{_var}/lock/subsys

  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/ups
  mkdir -p $RPM_BUILD_ROOT/%{initdir}

  make install DESTDIR=$RPM_BUILD_ROOT

  install packaging/EnGarde/ups.init      $RPM_BUILD_ROOT/%{initdir}/ups
  install packaging/EnGarde/ups.sysconfig $RPM_BUILD_ROOT/%{_sysconfdir}/ups

  # rename
  for file in $RPM_BUILD_ROOT/%{_sysconfdir}/ups/*.sample
  do
     mv $file $RPM_BUILD_ROOT/%{_sysconfdir}/ups/`basename $file .sample`
  done

%pre client
  if [ "$1" = 1 ]; then
	/usr/sbin/groupadd -r upsuser >/dev/null 2>&1                           || :
	/usr/sbin/useradd -r -s /bin/true -g upsuser -M upsuser >/dev/null 2>&1 || :
  fi

%preun client
  if [ "$1" = "0" ]; then
	/etc/init.d/ups stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del ups            || :
  fi

%postun client
  if [ "$1" -ge "1" ]; then
	/etc/init.d/ups condrestart > /dev/null 2>&1 || :
  elsif [ "$1" = 0 ]; then
	/sbin/chkconfig --del ups             || :
	/usr/sbin/groupdel upsuser >/dev/null || :
	/usr/sbin/userdel  upsuser >/dev/null || :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 07 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.1, Release 1.5.4
  - Remove the ioctl()'s in dtr0rts1() because it prevents the 'powercom'
    driver from working with the newer models.  With this change the
    powercom driver still works with the older ones.  Found and fixed by
    Jerrin M. Kallukalam <jerrin@guardiandigital.com>.

* Mon Jan 05 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.1, Release 1.5.3
  - Ryan-ize spec and clean up a bit:
    - Do standard sanity check before rm -rf in %install and %clean.
    - Move initscript and sysconfig files to packaging/EnGarde/ subdir.
    - Clean up %pre/%preun/%postun logic.
    - Tighten up permissions in %files.

* Mon Dec 29 2003 Jerrin M. Kallukalam <jerrin@guardiandigital.com>
- Version 1.4.1, Release 1.5.2
  - Released with the new webtool module for UPS.
  - Created user upsuser in place of nobody.
  - Changed init script to use upsdrvctl.
  - The only configuration file in nut-client is upsmon.conf now.
  - Configuration files are not world readable now.

* Thu Apr 23 2003 Eric B. Lubow <eric@guardiandigital.com>
- Version 1.2.2, Release 1.5.1
  - Release new nut after Thrust (1.5)

* Fri Jan 17 2003 Eric B. Lubow <eric@guardiandigital.com>
- Version 1.2.1, Release 1.0.1
  - EnGarde Initial buildup of nut
